# norootforbuild

%define soname		8

Name:				libgloox%{soname}
Version:			1.0
Release:			2.2
Summary:			High-level XMPP Library for C++
Source:				http://camaya.net/download/gloox-%{version}.tar.bz2
URL:				http://camaya.net/gloox
Group:				Development/Libraries/C and C++
License:			GNU General Public License (GPL)
BuildRoot:			%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc-c++ make
BuildRequires:	autoconf automake libtool pkgconfig
BuildRequires:	iksemel-devel
%if %suse_version <= 1030
BuildRequires:	gnutls-devel
%else
BuildRequires:	libgnutls-devel
%endif
BuildRequires:	libidn-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
Provides:	gloox%{soname} = %{version}-%{release}
Provides:	libgloox = %{version}-%{release}
Provides:	gloox = %{version}-%{release}

%description
gloox is a portable high-level Jabber/XMPP library for C++. It is fully
compliant with the XMPP RFCs, supports all of the XMPP features (including
SRV lookups, TLS, SASL, roster management, and privacy lists), and implements
several XEPs that make it ideal for writing any kind of Jabber/XMPP client
or component.

%package -n libgloox-devel
Summary:	High-level XMPP Library for C++
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Provides:	gloox-devel = %{version}-%{release}

%description -n libgloox-devel
gloox is a portable high-level Jabber/XMPP library for C++. It is fully
compliant with the XMPP RFCs, supports all of the XMPP features (including
SRV lookups, TLS, SASL, roster management, and privacy lists), and implements
several XEPs that make it ideal for writing any kind of Jabber/XMPP client
or component.

%debug_package
%prep
%setup -q -n "gloox-%{version}"

%build
export SUSE_ASNEEDED=0
%configure --enable-shared --disable-static
%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR=%{buildroot} install

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog TODO
%{_libdir}/libgloox.so.%{soname}
%{_libdir}/libgloox.so.%{soname}.*.*

%files -n libgloox-devel
%defattr(-,root,root)
%{_bindir}/gloox-config
%{_includedir}/gloox
%{_libdir}/libgloox.so
%{_libdir}/libgloox.la
%{_libdir}/pkgconfig/gloox.pc

%changelog
* Sat Dec  8 2012 cs@linux-administrator.com
- update to release 1.0
* Sat Dec  8 2012 cs@linux-administrator.com
- update to release 0.9.9.12
